<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" />
  </configSections>
  <log4net>
    <root>
      <level value="info" />
      <appender-ref ref="ADONetAppender_MySQL" />
    </root>
    <appender name="ADONetAppender_MySQL" type="log4net.Appender.ADONetAppender">
      <bufferSize value="1" />
      <param name="ConnectionType" value="MySql.Data.MySqlClient.MySqlConnection, MySql.Data" />
      <param name="ConnectionString" value="server=localhost;user id=starrlilog; password=111111; database=starrlilog; pooling=false" />
      <param name="CommandText" value=" INSERT INTO `starrlilog` ( Date, Thread,Level,Logger,Message,Exception) VALUES (  ?log_date, ?thread, ?log_level, ?logger, ?message,  ?exception);" />
      <parameter>
        <parameterName value="?log_date" />
        <dbType value="DateTime" />
        <layout type="log4net.Layout.RawTimeStampLayout" />
      </parameter>
      <parameter>
        <parameterName value="?thread" />
        <dbType value="String" />
        <size value="255" />
        <layout type="log4net.Layout.PatternLayout">
          <conversionPattern value="%thread" />
        </layout>
      </parameter>
      <parameter>
        <parameterName value="?log_level" />
        <dbType value="String" />
        <size value="50" />
        <layout type="log4net.Layout.PatternLayout">
          <conversionPattern value="%level" />
        </layout>
      </parameter>
      <parameter>
        <parameterName value="?logger" />
        <dbType value="String" />
        <size value="255" />
        <layout type="log4net.Layout.PatternLayout">
          <conversionPattern value="%logger" />
        </layout>
      </parameter>
      <parameter>
        <parameterName value="?message" />
        <dbType value="String" />
        <size value="4000" />
        <layout type="log4net.Layout.PatternLayout">
          <conversionPattern value="%message" />
        </layout>
      </parameter>
      <parameter>
        <parameterName value="?exception" />
        <dbType value="String" />
        <size value="2000" />
        <layout type="log4net.Layout.ExceptionLayout" />
      </parameter>
    </appender>
    <appender name="RollingLogFileAppender" type="log4net.Appender.RollingFileAppender">
      <file value="logfile" />
      <appendToFile value="true" />
      <rollingStyle value="Date" />
      <datePattern value="yyyyMMdd" />
      <layout type="log4net.Layout.PatternLayout">
        <param name="Header" value="[Starrli POS Software Log Begin] " />
        <param name="Footer" value="[Starrli POS Software Log End] " />
        <conversionPattern value="%date [%thread] %-5level %logger [%property{NDC}] - %message%newLine" />
      </layout>
    </appender>
  </log4net>
  <appSettings>
    <add key="IsLog4net" value="false" />
    <add key="IsMPS" value="false" />
    <add key="isFakeMPS" value="false" />
    <!-- CORE SETTINGS //-->
    <!-- StarrliPOS Application Edition: //-->
    <add key="AppEdition" value="STND" />
    <add key="language" value="0" />
    <!-- default roomid //-->
    <add key="roomid" value="1" />
    <!-- ID of the machine as a Cashier //-->
    <add key="Cashier" value="1" />
    <!-- database path, empty for local //-->
    <add key="DBdir" value="" />
    <add key="DBname" value="" />
    <add key="MainMenuDisableOption" value="3,6,7,8" />
    <add key="CallIDSkipTo" value="5" />
    <add key="IsSpecialVersion" value="false" />
    <!-- customerdisplay COM port, empty to disable //-->
    <add key="customerdisplayport" value="" />
    <!-- enable/disable creditcard payment: requires 3rd party software //-->
    <add key="creditcardpayment" value="false" />
    <add key="IsTDC" value="false" />
    <add key="creditMethodIsPrevAuth" value="false" />
    <add key="CreditMethodISSale" value="false" />
    <!-- set default load page: 0=mainmenu, 1=dinein, 2=phoneorder, or EMPTY to disable //-->
    <add key="defaultloadpage" value="0" />
    <!-- set default phone order type: 0=delivery, 1=dinein, 3=pickup, or EMPTY to disable //-->
    <add key="defaultphoneOrderType" value="0" />
    <!-- set if need host function //-->
    <add key="IfNeedHostFunction" value="false" />
    <!-- set if need Host Only //-->
    <add key="IfNeedHostOnly" value="false" />
    <!-- Set Setoder default position to "Input" //  -->
    <add key="SetOrderDefaultToInput" value="false" />
    <add key="IfNeedPasswordInOutOrder" value="false" />
    <add key="SessionLogin" value="false" />
    <add key="PrintOrderIDInCredit" value="True" />
    <!-- SET DINE IN CAN'T CHANGE ORDER TYPE-->
    <add key="NotDineinChangeOrderType" value="false" />
    <!--show special by the sequence -->
    <add key="ShowSpecialSeq" value="true" />
    <!-- show special category by the sequence-->
    <add key="ShowSpecialCatSeq" value="true" />
    <add key="IsWaiterTempCashier" value="false" />
    <!-- ************************ //-->
    <add key="TipByAmountOrPercentage" value="false" />
    <!-- PRINTER SETTINGS //-->
    <!-- enable/disable scheduled orders //-->
    <add key="PrinterStation" value="true" />
    <!-- eg. Star SP512 Line Mode Printer, empty for default //-->
    <add key="cashiprinter" value="" />
    <!-- 0 = english 1=chinese 2=both //-->
    <add key="kitchenprinterlanguage" value="1" />
    <add key="PrintVoidInformationToKitchen" value="true" />
    <add key="prints1" value="abc" />
    <!-- enable/disable note printing //-->
    <add key="printnote" value="True" />
    <!-- print customer address to Kitchen//-->
    <add key="PrintColorForDineIn" value="false" />
    <add key="NotPrintXForQuantity" value="false" />
    <add key="PrintCustomerInformationToKitchen" value="true" />
    <add key="AdressFontIsBold" value="true" />
    <!-- ************************ //-->
    <!-- CASHDRAWER SETTINGS //-->
    <!-- cashdrawerport COM port, empty to disable //-->
    <add key="Cashdrawerport" value="\\counter\BTP-2002" />
    <!-- cashdrawerport Command Code; i.e. multiple decimals: 27,112,0,25,250   "27,112,0,25,250" //-->
    <add key="CashdrawerCommandString" value="27,112,0,25,250" />
    <!-- ************************ //-->
    <!-- MODEM SETTINGS //-->
    <!-- enable/disable caller ID feature //-->
    <add key="CallIDflag" value="True" />
    <!-- modem Com Port //-->
    <add key="ComPort" value="4" />
    <!-- callerID command code; i.e. "AT+VCID=1"/ "AT#CID=1" //-->
    <add key="ModemInitString" value="AT+VCID=1" />
    <add key="ShowAreaCode" value="true" />
    <!-- ************************ //-->
    <add key="kitchenprice" value="false" />
    <add key="PrintTips" value="true" />
    <add key="PrintSeparateMap" value="false" />
    <add key="KitchenPrintCount " value="0" />
    <add key="PackagePrintCount " value="1" />
    <add key="DeliveryPackagePrintCount " value="1" />
    <add key="PackagePrintLanguage" value="2" />
    <add key="DefaultLanguage" value="2" />
    <add key="NoSaleRequiredPassword" value="true" />
    <add key="DefaultPrinter" value="" />
    <add key="EnableQuickCasher" value="true" />
    <add key="DefaultDeliveryFee" value="0" />
    <add key="EatInNeedPassword" value="false" />
    <add key="ChangeOrderNeedAdmin" value="false" />
    <add key="ExitNeedAdminPassword" value="false" />
    <add key="PrintCheckReturnToMain" value="true" />
    <add key="EnablePayment" value="true" />
    <add key="PrintCheckAfterDineInSend" value="true" />
    <add key="ShowPaidInPackager" value="true" />
    <!-- ************************ //-->
    <add key="showrecieptafterconfirm" value="false" />
    <add key="fontsize" value="16" />
    <add key="fontsizewith" value="12" />
    <add key="NotPrintNameOfRestaurant" value="false" />
    <add key="GiftCardVersion" value="5" />
    <add key="CouponVersion" value="1" />
    <add key="IsPrintShort" value="false" />
    <add key="isPrintPackageShort" value="false" />
    <add key="isPrintCheckShort" value="false" />
    <add key="IsPrintLogo" value="false" />
    <add key="isPrintPackageLogo" value="false" />
    <add key="isPrintCheckLogo" value="false" />
    <add key="isPrintCheckLogo" value="false" />
    <add key="IsAddAfterSendAll" value="true" />
    <add key="IsDirectPayWithoutPrintingPackage" value="false" />
    <!-- 0:"", 1:"Waiter", 2:"Delivery", 3:"Cashier", 4:"Chef", 5:"Host", 6:"Busboy", 7:"Bartender"-->
    <add key="loginRoleManager" value="true" />
    <add key="loginRoleWaiter" value="true" />
    <add key="loginRoleDelivery" value="true" />
    <add key="loginRoleCashier" value="true" />
    <add key="loginRoleChef" value="true" />
    <add key="loginRoleHost" value="true" />
    <add key="loginRoleBusboy" value="true" />
    <add key="loginRoleBartender" value="true" />
    <add key="PrintCheckLanguage" value="2" />
    <add key="PrintWaitingReceipt" value="false" />
    <add key="PrintWaitingReceiptMSG" value="When your order is ready, we will call you." />
    <add key="showeasydine" value="false" />
    <add key="DeleWaitTime" value="240" />
    <!-- Credit Card Settings //-->
    <add key="xChargeLocalTranxFolder" value="C:\Program Files\X-Charge\LocalTran" />
    <add key="signatureImageFolder" value="C:\" />
    <add key="TaxCountReportNotes" value="Might be serveral cents different with total amount because of different tax count solution." />
    <add key="SaveAllEditCustName" value="true" />
    <add key="SaveCustInfoForBlankAddrOrZip" value="true" />
    <add key="IsTaxAfterDiscount" value="false" />
    <add key="PayForZero" value="true" />
    <add key="MustCheckInToPay" value="false" />
    <add key="DeliveryKeyinAutoSetZipCode" value="false" />
    <add key="AlsoPrintAlone" value="false" />
    <add key="PrintListOnSendAll" value="true" />
    <add key="PrtUnPaid " value="true" />
    <add key="DineInPartyAutoTip" value="false" />
    <add key="IfBarCode" value="false" />
    <add key="PrintCheckNeedPassword" value="false" />
    <add key="PasswordForEachPay" value="false" />
    <add key="CashierEditOrder" value="false" />
    <add key="IncomeReportPrintCurrentTime" value="true" />
    <add key="NotPrtRestNameAddr" value="false" />
    <add key="PrtOtherReport" value="false" />
    <add key="ShowPaidInOrderList" value="false" />
    <add key="DeliveryFeeMustNotZero" value="true" />
    <add key="DisableCoupon" value="false" />
    <add key="IsDirectSplitByDish" value="false" />
    <add key="NotShowOrderTypeInOrderList" value="false" />
    <add key="ShowVoidOrderInPayMenu" value="false" />
    <add key="ShowVoidMenuInitPay" value="false" />
    <add key="ManCashier" value="false" />
    <add key="ShowWaiterInManageOrder" value="true" />
    <add key="VIPPointSetting" value="1" />
    <add key="WaitPackagePrintCount" value="1" />
    <add key="SignatureBottom" value="False" />
    <add key="SpecialStyle" value="0" />
    <add key="PasswordForGiftCard" value="True" />
    <add key="EmpReportTipForServer" value="false" />
    <add key="EmpReportTipForServerPcent" value="0" />
    <add key="DineTableOrderColor" value="255,128,128" />
    <add key="MapRouter" value="0" />
    <add key="NetBrowerKernel" value="1" />
    <add key="GoogleAPIKey" value="AIzaSyAVRrulgssy4_QsTfA8vJik8swrSAmXyRc" />
    <add key="CreditChargePcent" value="3" />
    <add key="PackageWithCreditChargePcent" value="true" />
  </appSettings>
</configuration>